#ifndef SYSTEM_NOTIFICATION_H
#define SYSTEM_NOTIFICATION_H

#include <QObject>

class QDBusInterface;

class SystemNotification : public QObject
{
    Q_OBJECT
public:
    explicit SystemNotification(QObject *parent = nullptr);

    void sendMessage(const QString &text);

    void sendMessage(const QString &text, const QString &title,
                     const int timeout = 5000);

private:
    QDBusInterface *m_interface;
};

#endif // SYSTEM_NOTIFICATION_H